﻿<div id="char-dom">
    <div id="char-char" class="half-left">
        <div id="char-info" class="app-zone">
            <div class="inner">
                <ul class="list-simple char-name">
                    <li class="char-field"><label class="inline-block">Name: </label><span class="font-bold" data-bind="text: character.Name"></span></li>
                    <li class="char-field">
                        <label class="inline-block">Kills/Deaths:</label>
                        <span data-bind="toolTip: 'K/D: ' + character.KD()">
                            <span data-bind="text: character.Kills"></span>
                            <span>/</span>
                            <span data-bind="text: character.Deaths"></span>
                        </span>
                    </li>
                </ul>
                <ul class="inline-block list-simple">
                    <li class="char-field"><label class="inline-block">Gold: </label><span class="font-bold" data-bind="displayNumber: character.Gold"></span></li>
                    <li class="char-field"><label class="inline-block">Build activ: </label><span data-bind="text: actifBuild().name.baseValue"></span></li>
                </ul>
                <ul class="inline-block list-simple">
                    <li class="char-field"><label class="inline-block">Level: </label><span class="font-bold" data-bind="text: character.Level"></span></li>
                    <li class="char-field"><label class="inline-block">Level up in: </label><span data-bind="displayNumber: character.NextLevel() - character.Experience()"></span></li>
                </ul>
                <ul class="inline-block list-simple">
                    <li class="char-field"><label class="inline-block">Experience: </label><span data-bind="displayNumber: character.Experience"></span></li>
                    <li class="char-field"><label class="inline-block">Next level: </label><span data-bind="displayNumber: character.NextLevel"></span></li>
                </ul>
                <ul class="inline-block list-simple">
                    <li class="char-field"><label class="inline-block">Loom points: </label><span class="font-bold" data-bind="text: character.LoomPoints"></span></li>
                    <li class="char-field"><label class="inline-block">Generation: </label><span data-bind="text: character.Generation() + 1"></span></li>
                </ul>
            </div>
        </div>
        <div id="char-builds" class="app-zone vertical font-small">
            <div class="inner">
                <div class="align-right">
                    <span data-bind="click: addBuild" class="app-action">Add new build</span>
                </div>
                <div>
                    <table class="simple-table app-table build-table">
                        <thead>
                            <tr>
                                <th><span>Name</span></th>
                                <th><span>Attributes</span></th>
                                <th></th>
                            </tr>
                        </thead>
                        <tbody data-bind="foreach: buildVms">
                            <tr data-bind="css: { selected: $data == $parent.selectedBuild() }, click: $parent.selectedBuild" style="cursor: pointer;">
                                <td><span data-bind="text: name.baseValue"></span></td>
                                <td><span data-bind="text: strength.baseValue() + '/' + agility.baseValue()"></span></td>
                                <td data-bind="if: $data != $parent.actifBuild()">
                                    <span class="app-action" data-bind="click: $parent.setActif" style="margin-right: 20px;">Set as activ</span>
                                    <span class="app-action" data-bind="click: $parent.deleteBuild">delete</span>
                                </td>
                            </tr>
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
    <div id="char-build" class="half-right app-zone vertical font-small" data-bind="with: selectedBuild">
        <div class="inner">
            <div class="build-name build-part">
                <div class="inner">
                    <label>Name: </label><input class="app-textbox" data-bind="value: name.value, valueUpdate: 'afterkeydown'"/>
                </div>
            </div>
            <div class="build-part">
                <div class="inner">
                    <ul class="inline-block char-items list-simple">
                        <li data-bind="template: { name: 'temp-item', data: { data: item1Id, invs: items } }"></li>
                        <li data-bind="template: { name: 'temp-item', data: { data: item2Id, invs: items } }"></li>
                        <li data-bind="template: { name: 'temp-item', data: { data: item3Id, invs: items } }"></li>
                        <li data-bind="template: { name: 'temp-item', data: { data: item4Id, invs: items } }"></li>
                        <li data-bind="template: { name: 'temp-item', data: { data: horseId, invs: horses } }"></li>
                    </ul>
                    <ul class="inline-block char-items list-simple">
                        <li data-bind="template: { name: 'temp-item', data: { data: headId, invs: heads } }"></li>
                        <li data-bind="template: { name: 'temp-item', data: { data: bodyId, invs: bodys } }"></li>
                        <li data-bind="template: { name: 'temp-item', data: { data: footId, invs: foots } }"></li>
                        <li data-bind="template: { name: 'temp-item', data: { data: handId, invs: hands } }"></li>
                        <li class="build-cost">
                            <label>Total cost: </label>
                            <span class="font-bold" data-bind="displayNumber: totalCost"></span>
                            <span class="font-bold"> Gold</span>
                        </li>
                    </ul>
                </div>
            </div>
            <div class="build-part">
                <div class="inner">
                    <div>
                        <ul class="inline-block char-stats list-simple">
                            <li>
                                <!-- ko template: { name: 'temp-value', data: attrPoints } --><!-- /ko -->
                                <button class="char-convert app-button" data-bind="click: convertAttr, enable: canConvertAttr">Convert</button>
                            </li>
                            <li>
                                <!-- ko template: { name: 'temp-value', data: skillPoints } --><!-- /ko -->
                                <button class="char-convert app-button" data-bind="click: convertSkill, enable: canConvertSkill">Convert</button>
                            </li>
                            <li data-bind="template: { name: 'temp-value', data: wpfPoints }"></li>
                        </ul>
                        <ul class="inline-block char-stats list-simple">
                            <li data-bind="template: { name: 'temp-stat', data: strength }"></li>
                            <li data-bind="template: { name: 'temp-stat', data: agility }"></li>
                        </ul>
                    </div>
                    <ul class="inline-block char-stats list-simple">
                        <li data-bind="template: { name: 'temp-stat', data: horseArchery }"></li>
                        <li data-bind="template: { name: 'temp-stat', data: riding }"></li>
                        <li data-bind="template: { name: 'temp-stat', data: athletics }"></li>
                        <li data-bind="template: { name: 'temp-stat', data: weaponMaster }"></li>
                        <li data-bind="template: { name: 'temp-stat', data: resistance }"></li>
                    </ul>
                    <ul class="inline-block char-stats list-simple">
                        <li data-bind="template: { name: 'temp-stat', data: powerThrow }"></li>
                        <li data-bind="template: { name: 'temp-stat', data: powerStrike }"></li>
                        <li data-bind="template: { name: 'temp-stat', data: powerPull }"></li>
                        <li data-bind="template: { name: 'temp-stat', data: powerReload }"></li>
                        <li data-bind="template: { name: 'temp-stat', data: offHand }"></li>
                    </ul>
                    <ul class="inline-block char-stats list-simple">
                        <li data-bind="template: { name: 'temp-wpf', data: oneHanded }"></li>
                        <li data-bind="template: { name: 'temp-wpf', data: twoHanded }"></li>
                        <li data-bind="template: { name: 'temp-wpf', data: polearm }"></li>
                        <li data-bind="template: { name: 'temp-wpf', data: archery }"></li>
                        <li data-bind="template: { name: 'temp-wpf', data: crossbow }"></li>
                        <li data-bind="template: { name: 'temp-wpf', data: throwing }"></li>
                        <li data-bind="template: { name: 'temp-wpf', data: firearm }"></li>
                    </ul>
                </div>
            </div>
            <div class="buil-save build-part">
                <button class="app-button" data-bind="click: save, enable: changed">Save changes</button>
            </div>
        </div>
    </div>
</div>